AppsCacheKey (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.util, class: AppsCacheKey

Package org.apache.hadoop.yarn.util

# Class AppsCacheKey

java.lang.Object
org.apache.hadoop.yarn.util.AppsCacheKey

public class AppsCacheKey extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppsCacheKey(org.apache.hadoop.security.UserGroupInformation ugi, String stateQuery, Set<String> statesQuery, String finalStatusQuery, String userQuery, String queueQuery, String limit, String startedBegin, String startedEnd, String finishBegin, String finishEnd, Set<String> applicationTypes, Set<String> applicationTags, String name, Set<String> unselectedFields)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `static AppsCacheKey`
  `newInstance(String stateQuery, Set<String> statesQuery, String finalStatusQuery, String userQuery, String queueQuery, String limit, String startedBegin, String startedEnd, String finishBegin, String finishEnd, Set<String> applicationTypes, Set<String> applicationTags, String name, Set<String> unselectedFields)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AppsCacheKey

    public AppsCacheKey(org.apache.hadoop.security.UserGroupInformation ugi, String stateQuery, Set<String> statesQuery, String finalStatusQuery, String userQuery, String queueQuery, String limit, String startedBegin, String startedEnd, String finishBegin, String finishEnd, Set<String> applicationTypes, Set<String> applicationTags, String name, Set<String> unselectedFields)

- ## Method Details

  - ### newInstance

    public static AppsCacheKey newInstance(String stateQuery, Set<String> statesQuery, String finalStatusQuery, String userQuery, String queueQuery, String limit, String startedBegin, String startedEnd, String finishBegin, String finishEnd, Set<String> applicationTypes, Set<String> applicationTags, String name, Set<String> unselectedFields)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`